// Page, post & post lists layout & styles

.post,
.home {
  // @include g-offset(1);
  @include g-width(10);
  margin: 0 auto;
}

.post-header {
  @include margin-top(3);
}

.post-meta {
  font-style: italic;
  @include margin-bottom(1.5);
  @include margin-top(1.5);

  img {
    margin-right: 15px;
  }
}

.post-intro {
  @include margin-bottom(1.5);
}

.post-content {
  .tagline-large {
    max-width: #{$max-width + 'rem'};
  }

  p {
    hyphens: auto;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    max-width: #{$max-width + 'rem'};
  }
}

.post-list-category,
.post-list-category a {
  color: $bwt-medium;
  text-decoration: none;
  transition: all 0.3s;

  &:visited {
    color: $bwt-medium;
  }

  &:hover {
    color: darken($bwt-medium, 10%);
  }
}

.tag-new {
  background: $bwt-red;
  border-radius: 5px;
  color: #fff;
  font-family: $custom-font-acumin;
  font-weight: bold;
  font-size: 14px;
  line-height: 14px;
  padding: 5px 9px 5px 11px;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin-right: 10px;
  text-align: center;
}

.post-title {
  @include margin-top(0.5);
}

.resource {
  .post-meta {
    @include margin-bottom(0.5);
    @include margin-top(0.5);
    font-style: normal;
  }

  img {
    max-height: 130px;
  }
}

.post-list {
  ul {
    width: 100%;
    max-width: none;
    padding: 0;
  }

  h3 {
    @include margin-top(0.5);
    @include margin-bottom(0.5);
  }

  ul {
    list-style: none;
  }

  .post-meta {
    @include margin-bottom(0.5);
    @include margin-top(0.5);
  }

  hr {
    background: $bwt-light;
    width: 100%;
    height: 3px;
  }
}

ul li.post-list-item {
  @include margin-top(0);
  @include margin-bottom(1);
  border-bottom: 3px solid $bwt-light;

  img {
    @include padding-bottom(1);
    transition: all 0.3s;

    &:hover {
      opacity: 0.9;
    }
  }
}

.post-sidebar {
  ul {
    list-style: none;
  }
}

.post-tags, .post-share {
  li {
    display: inline-block;
    margin-right: 5px;
    @include margin-bottom(0.5);
  }
}

.post-share {
  li {
    width: 32px;
    height: 32px;
    margin-right: 10px;
  }
}

.widget {
  // border-top: 3px solid $bwt-light;
  // border-bottom: 3px solid $bwt-light;
  background: $bwt-extra-light;
  border-radius: $radius-soft;
  // @include padding-top(1);
  @include padding-equal(1);
  max-width: 33rem;

  h3 {
    @include margin-top(1);
  }
}

.post-about-author {
  max-width: #{$max-width + 'em'};
}

.post-author-avatar {
  max-width: 96px;
  margin-left: 20px;
  margin-bottom: 10px;
}

.related-read {
  width: 100%;
  max-width: 450px;

  a {
    color: $bwt-black;
    text-decoration: none;

    &:visited {
      color: $bwt-black;
      text-decoration: none;
    }
  }

  h1 {
    font-size: 30px;
    line-height: 26px;
    @include margin-top(0.25);
  }

  .related-read-title {
    width: 70%;
  }

  .related-read-image {
    max-width: 300px;
    // width: 30%;
    // @include floatRight;
  }

  @media screen and (min-width: $desktop) {
    float: right;
    margin-right: -400px;
    width: 400px;
    margin-left: 30px;
  }

  @media screen and (min-width: 1350px) {
    margin-left: 0;
  }
}

.toc-entry {
  margin-bottom: 0;
}